Mixed CAD Environment Tips and Tricks

Would it be useful for the BricsCAD user community to compile a library of tips and tricks for utilizing BricsCAD in a mixed CAD environment, primarily with AutoDesk applications?

Tip1
BricsCAD handles AutoCAD textmask a little differently. It may be useful to move the wipeouts to a separate layer. I have this run as each drawing opens to help.

  (setq WipeOutSSet (ssget "x" '((0 . "WIPEOUT"))))
  (if WipeOutSSet
    (progn
      (setq sLayerName "C-SITE-MASK")
      (setq sCLayer (getvar "CLAYER"))

      (if (= (tblsearch "layer" sLayerName) nil)
        (command "-LAYER" "make" sLayerName "c" "254" "" ""))

      (command ".chprop" WipeOutSSet "" "la" sLayerName "")
      (setvar "CLAYER" sCLayer)
      (setq sMessage (strcat
        "WIPEOUT object may have been moved to layer C-SITE-MASK"
        "\nPlease confirm that the plotstyle is set to MASK"))
      (alert sMessage)))

Comments

  • I think a Wiki would complement this forum well, not only for tips regarding a mixed environment, but for gathering all kind of information that should be easily retrievable (HowTos, FAQs, Hardware / OS compatibility database...).
    I am no specialist in this domain, though, and do not know if these systems are easy to set up and maintain.
This discussion has been closed.